# Uses of Class
org.astrogrid.samp.test.Calculator.SendMode

Packages that use Calculator.SendMode
Package
Description
org.astrogrid.samp.test
Classes for testing.

## Uses of Calculator.SendMode in org.astrogrid.samp.test

Fields in org.astrogrid.samp.test declared as Calculator.SendMode
Modifier and Type
Field
Description
`static final Calculator.SendMode`
Calculator.`ASYNCH_MODE`
Sends messages using the Synchronous Call/Response delivery pattern.
`static final Calculator.SendMode`
Calculator.`NOTIFY_MODE`
Sends messages using the Notify delivery pattern.
`static final Calculator.SendMode`
Calculator.`RANDOM_MODE`
Sends messages using a random choice of one of the other modes.
`static final Calculator.SendMode`
Calculator.`SYNCH_MODE`
Sends messages using the Asynchronous Call/Response delivery pattern.
Methods in org.astrogrid.samp.test with parameters of type Calculator.SendMode
Modifier and Type
Method
Description
`void`
Calculator.`sendMessage(String receiverId, Calculator.SendMode mode)`
Sends a randomly generated message in a randomly generated way to a given receiver.
Constructors in org.astrogrid.samp.test with parameters of type Calculator.SendMode
Modifier
Constructor
Description
``
`CalcStorm(ClientProfile profile, Random random, int nClient, int nQuery, Calculator.SendMode sendMode)`
Constructor.